Attribute VB_Name = "p516Module1"
Option Explicit
Rem===============================================================================================
Rem
Rem     HPCI-PPD516A TvvO (VisualBasic6.0)
Rem
Rem     WW[    << spp51602.bas >>
Rem
Rem===============================================================================================
Rem***********************************************************************************************
Rem O[o萔`
Rem***********************************************************************************************
'
Public Const X_DISP             As Integer = 0          'X`U
Public Const V_DISP             As Integer = 1          'V`W

'
Public Const DEFAX_MAX          As Integer = 5          'ő厲(ftHg6) - 1
Public Const X_AX               As Integer = 0          'X
Public Const Y_AX               As Integer = 1          'Y
Public Const Z_AX               As Integer = 2          'Z
Public Const U_AX               As Integer = 3          'U
Public Const V_AX               As Integer = 4          'V
Public Const W_AX               As Integer = 5          'W

'R{{bNX
Public Const DEVNO              As Integer = 0          'foCXԍ
Public Const BRDID              As Integer = 1          '{[hID

'foCX֌W
Public Const CNTMAX             As Long = 16            '̃Tvł16܂

Public Const INVALID_BUS_NUMBER As Long = -1            ' ȃoXԍ
Public Const INVALID_DEV_NUMBER As Long = -1            ' ȃfoCXԍ
Public Const INVALID_IO_ADDRESS As Long = &HFFFFFFFF    '  I/O AhX
Public Const INVALID_IRQ_NUMBER As Long = -1            '  IRQ ԍ
Public Const INVALID_HPC_NUMBER As Long = -1            ' ȊǗԍ
Public Const INVALID_BOARD_ID   As Long = -1            ' ȃ{[hID

Public Const ERROR_HPC_ALREADY_OPENED   As Long = &H20000001    '  HPCI foCXI[vς
Public Const ERROR_HPC_INVALID_HANDLE   As Long = &H20000002    ' HPCI foCXID (nh)
Public Const ERROR_HPC_ALREADY_WAITING  As Long = &H20000003    ' Ɋ荞ݑ҂Ԃɂ
Public Const ERROR_HPC_WAITING_CANCELED As Long = &H20000004    ' 荞ݑ҂LZꂽ
Public Const ERROR_HPC_ILLEGAL_DEVICE   As Long = &H20001000    ' HPCIfoCXł͂Ȃ

'bZ[WpID
Public Const IDS_1              As Integer = 1
Public Const IDS_2              As Integer = 2
Public Const IDS_3              As Integer = 3
Public Const IDS_4              As Integer = 4
Public Const IDS_5              As Integer = 5
Public Const IDS_6              As Integer = 6
Public Const IDS_7              As Integer = 7
Public Const IDS_8              As Integer = 8
Public Const IDS_9              As Integer = 9
Public Const IDS_10             As Integer = 10
Public Const IDS_A              As Integer = 11
Public Const IDS_B              As Integer = 12
Public Const IDS_BUSNO          As Integer = 13
Public Const IDS_DEVNO          As Integer = 14
Public Const IDS_IOPORT         As Integer = 15
Public Const IDS_IRQNO          As Integer = 16
Public Const IDS_KANRI          As Integer = 17
Public Const IDS_BRDID          As Integer = 18
Public Const IDS_XAX            As Integer = 19
Public Const IDS_VAX            As Integer = 20

Public Const IDS_DEVCNT         As Integer = 1001
Public Const IDS_DEVJOHO        As Integer = 1002
Public Const IDS_DEVOPEN        As Integer = 1003
Public Const IDS_DEVCLOSE       As Integer = 1004
Public Const IDS_COMMAND        As Integer = 1005
Public Const IDS_DOUSA          As Integer = 1006
Public Const IDS_SEIGYO         As Integer = 1007
Public Const IDS_REGWRITE       As Integer = 1008
Public Const IDS_REGREAD        As Integer = 1009
Public Const IDS_STS1           As Integer = 1010
Public Const IDS_STS2           As Integer = 1011
Public Const IDS_INTS           As Integer = 1012
Public Const IDS_ELS            As Integer = 1013
Public Const IDS_CMPC           As Integer = 1014
Public Const IDS_SONOTA         As Integer = 1015

Rem***********************************************************************************************
Rem     \
Rem***********************************************************************************************
'HPCDEVICEINFO\(foCX)
Public Type HPCDEVICEINFO
    nBusNumber                  As Long                 'oXԍ
    nDeviceNumber               As Long                 'foCXԍ
    dwIoPortAddress             As Long                 'I/O|[gAhX
    dwIrqNo                     As Long                 'IRQԍ
    dwNumber                    As Long                 'Ǘԍ
    dwBoardID                   As Long                 '{[hID
End Type

Rem***********************************************************************************************
Rem     ֐vg^Cv
Rem***********************************************************************************************
'foCX̎擾(F_~[)
Declare Function hppd530_GetDeviceCount Lib "hippd530.DLL" (ByVal dummy As Integer) As Long

'foCX̎擾(FfoCX̌AfoCX񃊃Xg̐擪AhX)
Declare Function hppd530_GetDeviceInfo Lib "hippd530.DLL" ( _
        ByRef pcnDevNum As Long, _
        pHpcDevInfo As HPCDEVICEINFO _
) As Long

'[{[hIDΉ]  foCXI[v(FfoCX̃AhX)
Declare Function hppd530_OpenDeviceID Lib "hippd530.DLL" (pHpcDevInfo As HPCDEVICEINFO) As Long

'[{[hIDΉ]foCXI[v(FfoCX̃AhX)
Declare Function hppd530_OpenDevice Lib "hippd530.DLL" (pHpcDevInfo As HPCDEVICEINFO) As Long

'foCXN[Y(FHPCI foCXID (nh))
Declare Function hppd530_CloseDevice Lib "hippd530.DLL" (ByVal hDevID As Long) As Long

'R}hobt@(FHPCI foCXID (nh)Ajbgԍ(w)A
'                           PoCgf[^AWX^XCb`AWX^pf[^(ElSoCg))
Declare Function hppd530_CmdWrite Lib "hippd530.DLL" ( _
        ByVal hDevID As Long, ByVal AxisNo As Integer, ByVal byData As Byte, _
        ByVal sw As Integer, ByVal dwReg As Long _
) As Long
    
'샂[hobt@(FHPCI foCXID (nh)Ajbgԍ(w)APoCgf[^)
Declare Function hppd530_DousaWrite Lib "hippd530.DLL" ( _
        ByVal hDevID As Long, ByVal AxisNo As Integer, ByVal byData As Byte _
) As Long
    
'䃂[hobt@(FHPCI foCXID (nh)Ajbgԍ(w)APoCgf[^)
Declare Function hppd530_SeigyoWrite Lib "hippd530.DLL" ( _
        ByVal hDevID As Long, ByVal AxisNo As Integer, ByVal byData As Byte _
) As Long
   
'Xe[^X1Ǎ(FHPCI foCXID (nh)Ajbgԍ(w)Af[^i[)
Declare Function hppd530_status1Read Lib "hippd530.DLL" ( _
        ByVal hDevID As Long, ByVal AxisNo As Integer, ByRef bySts1 As Byte _
) As Long

'Xe[^X2Ǎ(FHPCI foCXID (nh)Ajbgԍ(w)Af[^i[)
Declare Function hppd530_status2Read Lib "hippd530.DLL" ( _
        ByVal hDevID As Long, ByVal AxisNo As Integer, ByRef bySts2 As Byte _
) As Long

'Xe[^XǍ(FHPCI foCXID (nh)Ajbgԍ(w)Af[^i[)
Declare Function hppd530_intstatusRead Lib "hippd530.DLL" ( _
        ByVal hDevID As Long, ByVal AxisNo As Integer, ByRef byIntSts As Byte _
) As Long
  
'WX^Ǎ(FHPCI foCXID (nh)Ajbgԍ(w)A
'                   WX^ǍR}hw肳ĂAf[^i[(El))
Declare Function hppd530_regRead Lib "hippd530.DLL" ( _
        ByVal hDevID As Long, ByVal AxisNo As Integer, ByVal byData As Byte, ByRef dwReg As Long _
) As Long
  
'ELSɐI|[g(FHPCI foCXID (nh)APoCgf[^)
Declare Function hppd530_ElstWrite Lib "hippd530.DLL" ( _
        ByVal hDevID As Long, ByVal byData As Byte _
) As Long
  
'ELSɐI|[gǍ(FHPCI foCXID (nh)Af[^i[)
Declare Function hppd530_ElstRead Lib "hippd530.DLL" ( _
        ByVal hDevID As Long, ByRef byElsData As Byte _
) As Long
  
'CMPX^[gMRg[|[g(FHPCI foCXID (nh)APoCgf[^)
Declare Function hppd530_CmpcWrite Lib "hippd530.DLL" ( _
        ByVal hDevID As Long, ByVal byData As Byte _
) As Long
  
'CMPX^[gMRg[|[gǍ(FHPCI foCXID (nh)Af[^i[)
Declare Function hppd530_CmpcRead Lib "hippd530.DLL" ( _
        ByVal hDevID As Long, ByRef byCmpData As Byte _
) As Long

'-------------------------------------------------------------------------------------------------
'ڍׂ̃G[vQ(G[R[h擾)
Declare Function GetLastError Lib "kernel32" () As Long

Rem***********************************************************************************************
Rem O[oϐ
Rem***********************************************************************************************
'foCX֌W
Public dwNum                    As Long                 'foCX
Public HpcDevInfo1(CNTMAX)      As HPCDEVICEINFO        'foCX(\)
Public HpcDevInfo2              As HPCDEVICEINFO        'foCX(I[v)
Public hDeviceID                As Long                 'foCXnh

'ʕ\:F
Public WHITE_COLOR              As Long                 'F
Public GREEN_COLOR              As Long                 'ΐF
Public RED_COLOR                As Long                 'ԐF

'Ɨ̈
Public nEnd                     As Integer              'vOI
Public nBrdId                   As Integer              '{[hID
Public nOpen                    As Integer              'foCX(ftHgFfoCXԍ)
Public nAxMax                   As Integer              ' ő吔 - 1
Public nDisp                    As Integer              'Iꂽ(X`U/V`W)

Public byEls                    As Byte                 '݂ELSɐ
Public byElsMsk                 As Byte                 'ELSǍp}XNf[^
Public dwR6(DEFAX_MAX)          As Long                 'ݒP

Rem--Grahpic--------------------------------------------------------------------------------------
Rem o͏({)
Rem-----------------------------------------------------------------------------------------------
Public Function CapsString(nMsgCode As Integer) As String
    Select Case nMsgCode
        Case IDS_1
            CapsString = "800x600(tHg)ȏ̑傫ɂĉB"
        Case IDS_5
            CapsString = "̃vOł́Agpł{[hő喇"
        Case IDS_6
            CapsString = "܂łƂ܂B"
        Case IDS_7
            CapsString = "Qȏ̃{[hIDdĂ邽߁A{[hIDł̃I[v͎gpł܂B"
        Case IDS_8
             CapsString = "vZbgʂ𐳂͂ĂB"
        Case IDS_9
            CapsString = "w"
        Case IDS_10
            CapsString = "쒆̂߁Aʐؑւł܂B"
        Case IDS_A
            CapsString = "A"
        Case IDS_B
            CapsString = "B"
        Case IDS_BUSNO
            CapsString = "oXԍF"
        Case IDS_DEVNO
            CapsString = "foCXԍF"
        Case IDS_IOPORT
            CapsString = "I/OAhXF"
        Case IDS_IRQNO
            CapsString = "IRQԍF"
        Case IDS_KANRI
            CapsString = "ǗԍF"
        Case IDS_BRDID
            CapsString = "{[hIDF"
        Case IDS_XAX
            CapsString = "V`W"
        Case IDS_VAX
            CapsString = "X`U"
        Case IDS_DEVCNT
            CapsString = "foCX擾ErrorF"
        Case IDS_DEVJOHO
            CapsString = "foCX擾ErrorF"
        Case IDS_DEVOPEN
            CapsString = "foCXI[vErrorF"
        Case IDS_DEVCLOSE
            CapsString = "foCXN[YErrorF"
        Case IDS_COMMAND
            CapsString = "R}hobt@ErrorF"
        Case IDS_DOUSA
            CapsString = "샂[hobt@ErrorF"
        Case IDS_SEIGYO
            CapsString = "䃂[hobt@ErrorF"
        Case IDS_REGWRITE
            CapsString = "WX^ErrorF"
        Case IDS_REGREAD
            CapsString = "WX^ǍErrorF"
        Case IDS_STS1
            CapsString = "Xe[^XPǍErrorF"
        Case IDS_STS2
            CapsString = "Xe[^XQǍErrorF"
        Case IDS_INTS
            CapsString = "Xe[^XǍErrorF"
        Case IDS_ELS
            CapsString = "ELSɐ|[g/ǍErrorF"
        Case IDS_CMPC
            CapsString = "CMPo͐ؑփ|[g/ǍErrorF"
        Case Else
            CapsString = ""
    End Select
End Function
